<div class="container">
	<div class="row">
		<div class="col-md-4">
 			<h3>Add new order</h3>
    		<form class="form-horizontal">
     			<fieldset>
       				<div class="form-group">
         				<label class="col-md-10 control-label" for="transactionDate">Transaction date</label>  
         				<div class="col-md-10">
           					<input id="transactionDate" ng-model="orderForm.transactionDate" name="transactionDate" type="date" placeholder="yyyy-MM-dd" class="form-control input-md" required/>
         				</div>
       				</div>
     			</fieldset>
     			<fieldset>
       				<div class="form-group">
         				<label class="col-md-10 control-label" for="barcode">Product barcode</label>  
         				<div class="col-md-10">
           					<input id="barcode" ng-model="orderForm.barcode" name="barcode" type="number" placeholder="Product barcode" class="form-control input-md" required/>
         				</div>
       				</div>
       			</fieldset>
     			<fieldset>
       				<div class="form-group">
         				<label class="col-md-10 control-label" for="clientId">Client id</label>  
         				<div class="col-md-10">
           					<input id="clientId" ng-model="orderForm.clientId" name="Id" type="number" placeholder="Client security number" class="form-control input-md" required/>
         				</div>
       				</div>
     			</fieldset>
     			<div class="form-group">
     				<label class="col-md-10 control-label" for="btn-save"></label>
     				<div class="col-md-10" id="saveupdate">
       					<button type="submit" id="btn-save" name="btn-save" class="btn btn-success" ng-click="saveOrder()">Save</button>
     				</div>
   				</div>
   				<div class="alert alert-warning" ng-if="errorMessage">{{ errorMessage }}</div>
   			</form>
		</div> 
		<div class=col-md-8>
			<h3>Orders</h3>
   			<table class="table table-bordered table-condensed table-hover">
		       	<thead>
	         		<tr>
	         			<th ng-click="sortBy('orderNumber')">Order number<i class="fa fa-fw fa-sort"></i></th>
	           			<th>Price</th>
	           			<th ng-click="sortBy('transactionDate')">Transaction date<i class="fa fa-fw fa-sort"></i></th>
	         			<th ng-click="sortBy('product.barcode')">Barcode<i class="fa fa-fw fa-sort"></i></th>
	           			<th ng-click="sortBy('product.name')">Name<i class="fa fa-fw fa-sort"></i></th>
	           			<th>Base price</th>
	           			<th>Description</th>
	           			<th>Release date</th>
	           			<th ng-click="sortBy('client.firstName')">Client first name<i class="fa fa-fw fa-sort"></i></th>
	           			<th ng-click="sortBy('client.lastName')">Client last name<i class="fa fa-fw fa-sort"></i></th>
	           			<th>Edit</th>
	           			<th>Delete</th>
	         		</tr>
		       	</thead>
		       	<tbody>
		       		<tr ng-repeat="order in orders | orderBy:sortedBy:reverse">
		       			<td>{{order.orderNumber}}</td>
		       			<td>{{order.price}}</td>
		       			<td>{{order.transactionDate | date:"dd/MM/yyyy"}}</td>
		       			<td>{{order.product.barcode}}</td>
		       			<td>{{order.product.name}}</td>
		       			<td>{{order.product.basePrice}}</td>
		       			<td>{{order.product.description}}</td>
		       			<td>{{order.product.releaseDate | date:"dd/MM/yyyy"}}</td>
		       			<td>{{order.client.firstName}}</td>
		       			<td>{{order.client.lastName}}</td>
		       			<td><a ng-click="editForm(order)">Edit</a></td>
		       			<td><a ng-click="deleteOrder(order)">Delete</a></td>
		       		</tr>
		       	</tbody>
		   	</table>
		</div>
	</div>
</div>